summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-10-01 13:54:38 +0000
committerDan Armak <danarmak@gentoo.org>2001-10-01 13:54:38 +0000
commit975902e589effb2bf5b3355fba521f0d823e0c81 (patch)
tree28106b6a94705d76ea6cff5c29fc89c13539b206 /eclass
parenteclasses v3. read the gentoo-dev announcement, and news.txt and howto.* (diff)
downloadhistorical-975902e589effb2bf5b3355fba521f0d823e0c81.tar.gz
historical-975902e589effb2bf5b3355fba521f0d823e0c81.tar.bz2
historical-975902e589effb2bf5b3355fba521f0d823e0c81.zip
eclasses v3.1
added debug.eclass and fixed many bugs
Diffstat (limited to 'eclass')
-rw-r--r--eclass/autoconf.eclass4
-rw-r--r--eclass/base.eclass86
-rw-r--r--eclass/c.eclass4
-rw-r--r--eclass/debug.eclass44
-rw-r--r--eclass/doc/eclass-howto.lyx136
-rw-r--r--eclass/doc/eclass-howto.sgml59
-rw-r--r--eclass/doc/eclass-howto.txt72
-rw-r--r--eclass/doc/news.txt6
-rw-r--r--eclass/doc/todo.txt2
-rw-r--r--eclass/inherit.eclass15
-rw-r--r--eclass/kde-base.eclass3
-rw-r--r--eclass/kde-dist.eclass14
-rw-r--r--eclass/kde-i18n.eclass3
-rw-r--r--eclass/kde.eclass24
-rw-r--r--eclass/kde.org.eclass10
-rw-r--r--eclass/virtual.eclass22
16 files changed, 401 insertions, 103 deletions
diff --git a/eclass/autoconf.eclass b/eclass/autoconf.eclass
index 7b0723d030d8..790887bd3cc3 100644
--- a/eclass/autoconf.eclass
+++ b/eclass/autoconf.eclass
@@ -1,10 +1,8 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/autoconf.eclass,v 1.5 2001/09/29 16:28:19 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autoconf.eclass,v 1.6 2001/10/01 13:54:38 danarmak Exp $
# The autoconf eclass merely adds autconf/automake deps.
-. /usr/portage/eclass/inherit.eclass || die
-#inherit virtual || die
ECLASS=autoconf
S=${WORKDIR}/${P}
diff --git a/eclass/base.eclass b/eclass/base.eclass
index 8937f226a6ba..45d38ba785f8 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,10 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.5 2001/10/01 11:04:22 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.6 2001/10/01 13:54:38 danarmak Exp $
# The base eclass defines some default functions and variables. Nearly everything
# else inherits from here.
-. /usr/portage/eclass/inherit.eclass || die
inherit virtual || die
ECLASS=base
@@ -12,50 +11,51 @@ S=${WORKDIR}/${P}
DESCRIPTION="Based on the $ECLASS eclass"
base_src_unpack() {
-
- echo "in base_src_unpack, 1st parameter is $1"
- [ -z "$1" ] && base_src_unpack all
-
- while [ "$1" ]; do
-
+
+ debug-print-function base_src_unpack $*
+ [ -z "$1" ] && base_src_unpack all
+
+ while [ "$1" ]; do
+
case $1 in
- unpack)
- echo "in base_src_unpack, action unpack"
- unpack ${A}
- ;;
+ unpack)
+ debug-print-section unpack
+ unpack ${A}
+ ;;
patch)
- cd ${S}
- patch -p0 < ${FILESDIR}/${P}-gentoo.diff
- ;;
+ debug-print-section patch
+ cd ${S}
+ patch -p0 < ${FILESDIR}/${P}-gentoo.diff
+ ;;
all)
- echo "in base_src_unpack, action all"
- base_src_unpack unpack
- ;;
- esac
-
- shift
- done
+ debug-print-section all
+ base_src_unpack unpack
+ ;;
+ esac
+
+ shift
+ done
}
base_src_compile() {
- echo "in base_src_compile, 1st parameter is $1"
+ debug-print-function base_src_compile $*
[ -z "$1" ] && base_src_compile all
-
+
while [ "$1" ]; do
-
+
case $1 in
configure)
- echo "in base_src_compile, action configure"
+ debug-print-section configure
./configure || die
;;
make)
- echo "in base_src_compile, action make"
+ debug-print-section make
make || die
;;
all)
- echo "in base_src_compile, action all"
+ debug-print-section all
base_src_compile configure make
;;
esac
@@ -67,25 +67,25 @@ base_src_compile() {
base_src_install() {
- echo "in base_src_install, 1st parameter is $1"
- [ -z "$1" ] && base_src_install all
+ debug-print-function base_src_install $*
+ [ -z "$1" ] && base_src_install all
+
+ while [ "$1" ]; do
- while [ "$1" ]; do
-
case $1 in
- make)
- echo "in base_src_install, action make"
- make DESTDIR=${D} install || die
- ;;
+ make)
+ debug-print-section make
+ make DESTDIR=${D} install || die
+ ;;
all)
- echo "in base_src_install, action all"
- base_src_install make
- ;;
+ debug-prnit-section all
+ base_src_install make
+ ;;
esac
-
- shift
- done
-
+
+ shift
+ done
+
}
EXPORT_FUNCTIONS src_unpack src_compile src_install
diff --git a/eclass/c.eclass b/eclass/c.eclass
index c7d5bc7b81ba..a5a4789e6fbf 100644
--- a/eclass/c.eclass
+++ b/eclass/c.eclass
@@ -1,10 +1,8 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/c.eclass,v 1.5 2001/10/01 11:04:22 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/c.eclass,v 1.6 2001/10/01 13:54:38 danarmak Exp $
# The "c" eclass merely adds gcc, glibc and ld.so to DEPEND/RDEPEND for comfort.
-. /usr/portage/eclass/inherit.eclass || die
-#inherit virtual || die
ECLASS=c
S=${WORKDIR}/${P}
diff --git a/eclass/debug.eclass b/eclass/debug.eclass
new file mode 100644
index 000000000000..54d929c071bf
--- /dev/null
+++ b/eclass/debug.eclass
@@ -0,0 +1,44 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/debug.eclass,v 1.1 2001/10/01 13:54:38 danarmak Exp $
+# This provides functions for verbose output for debugging
+
+# Note: we check whether these settings are set by "if [ "$FOO" ]; then".
+# Therefore set them to true/false only - not yes/no or whatever.
+
+# redirect output, unset to disable
+# use e.g. /dev/tty12 for quiet uotput out of harm's way.
+# todo: add support for loging into a file.
+DEBUG_OUTPUT="/dev/tty"
+
+# used internally for output
+# redirects output wherever's needed
+# in the future might use e* from /etc/init.d/functions.sh if i feel like it
+debug-print() {
+
+ [ -n "$DEBUG_OUTPUT" ] || return 0
+
+ while [ "$1" ]; do
+ echo "debug: $1" > $DEBUG_OUTPUT
+ shift
+ done
+
+}
+
+# std message functions
+
+debug-print-function() {
+
+ str="now in function $1"
+ shift
+ debug-print "$str" "parameters: $*"
+
+}
+
+debug-print-section() {
+
+ debug-print "now in section $*"
+
+}
+
diff --git a/eclass/doc/eclass-howto.lyx b/eclass/doc/eclass-howto.lyx
index ff3f753533c6..f62fe91d766b 100644
--- a/eclass/doc/eclass-howto.lyx
+++ b/eclass/doc/eclass-howto.lyx
@@ -130,11 +130,11 @@ This function is the entire contents of inherit.eclass.
For now, we don't want to make a new version of portage just for this,
so we put this function in a separate eclass.
Every inheriting ebuild begins with these two lines:
-\layout Standard
+\layout Code
.
/usr/portage/eclass/inherit.eclass || die
-\layout Standard
+\layout Code
inherit kde-base || die
\layout Standard
@@ -151,6 +151,7 @@ virtual.eclass
\layout Standard
Defines empty variables and functions; defines EXPORT_FUNCTIONS().
+ Also inherits debug.eclass so that everyone gets that.
\layout Standard
This eclass is inherited by most other eclasses e.g.
@@ -418,6 +419,11 @@ and the upcoming kde_src_unpack
objprelink-patch
\emph default
(whose name may change when I actually write it).
+\layout Standard
+
+A more final note: the eclasses also include some debug statements, which
+ are not part of the function/section strufture.
+ More on this at the debug.eclass section.
\layout Subsection
base.eclass
@@ -540,13 +546,127 @@ Adds make/automake/autoconf to DEPEND.
debug.eclass
\layout Standard
-Will be written soon.
- Will provide verbose debug output functions to centralise the numerous
+Adds verbose output debugging functions.
+ Is inherited by virtual.eclass.
+\layout Standard
+
+A function with debugging looks like this:
+\layout Code
+
+base_src_install() {
+\layout Code
+
-\emph on
-echo
-\emph default
-s I have scattered around the eclasses.
+\layout Code
+
+ debug-print-function base_src_install $*
+\layout Code
+
+ [ -z "$1" ] && base_src_install all
+\layout Code
+
+
+\layout Code
+
+ while [ "$1" ]; do
+\layout Code
+
+
+\layout Code
+
+ case $1 in
+\layout Code
+
+ make)
+\layout Code
+
+ debug-print-section make
+\layout Code
+
+ make DESTDIR=${D} install || die
+\layout Code
+
+ ;;
+\layout Code
+
+ all)
+\layout Code
+
+ debug-prnit-section all
+\layout Code
+
+ base_src_install make
+\layout Code
+
+ ;;
+\layout Code
+
+ esac
+\layout Code
+
+
+\layout Code
+
+ shift
+\layout Code
+
+ done
+\layout Code
+
+
+\layout Code
+
+}
+\layout Standard
+
+debug-print-function() prints
+\begin_inset Quotes eld
+\end_inset
+
+now in function $1
+\begin_inset Quotes erd
+\end_inset
+
+,
+\begin_inset Quotes eld
+\end_inset
+
+parameters are $2...
+\begin_inset Quotes erd
+\end_inset
+
+ (all following aprameteres to the function).
+\layout Standard
+
+debug-print-section() prints
+\begin_inset Quotes eld
+\end_inset
+
+now in section $1
+\begin_inset Quotes erd
+\end_inset
+
+.
+\layout Standard
+
+debug-print() prints raw
+\begin_inset Quotes eld
+\end_inset
+
+$1
+\begin_inset Quotes erd
+\end_inset
+
+.
+\layout Standard
+
+Inside debug.eclass are several settings, which can later be moved to some
+ external config file.
+ They include turning debug on or off and redirecting its output.
+\layout Standard
+
+The functions are used in all ebuild functions/sections of all eclasses,
+ and in the helper funcions inherit() and EXPORT_FUNCTIONS().
\layout Subsection
kde-objprelink.eclass
diff --git a/eclass/doc/eclass-howto.sgml b/eclass/doc/eclass-howto.sgml
index bf74a03b2058..8c7fe87629be 100644
--- a/eclass/doc/eclass-howto.sgml
+++ b/eclass/doc/eclass-howto.sgml
@@ -73,12 +73,10 @@
<para>
This function is the entire contents of inherit.eclass. In the future, once eclasses are considered to be stable, this function will live in ebuild.sh, and every ebuild will be able to use it. For now, we don't want to make a new version of portage just for this, so we put this function in a separate eclass. Every inheriting ebuild begins with these two lines:
</para>
- <para>
- . /usr/portage/eclass/inherit.eclass || die
- </para>
- <para>
- inherit kde-base || die
- </para>
+ <programlisting>
+<![ CDATA [. /usr/portage/eclass/inherit.eclass || die
+]]><![ CDATA [inherit kde-base || die
+]]> </programlisting>
<para>
Once the inherit() function goes into ebuild.sh, we can drop the first line; there will be no further change necessary.
</para>
@@ -91,7 +89,7 @@
virtual.eclass
</title>
<para>
- Defines empty variables and functions; defines EXPORT_FUNCTIONS().
+ Defines empty variables and functions; defines EXPORT_FUNCTIONS(). Also inherits debug.eclass so that everyone gets that.
</para>
<para>
This eclass is inherited by most other eclasses e.g. base, kde*. As a rule, any eclass that defines some of the base functions needs it. Therefore the only ebuilds which don't get it are the ones that only inherit one of the smaller eclasses e.g. c, autoconf.
@@ -206,6 +204,9 @@
<para>
A final note: not all functions execute all their sections when called with <emphasis>all</emphasis> or without parameters. Some sections may be non-standrd and must be called explicitly. Current examples inculde base_src_unpack<emphasis> patch </emphasis>and the upcoming kde_src_unpack <emphasis>objprelink-patch</emphasis> (whose name may change when I actually write it).
</para>
+ <para>
+ A more final note: the eclasses also include some debug statements, which are not part of the function/section strufture. More on this at the debug.eclass section.
+ </para>
</sect3>
</sect2>
<sect2>
@@ -300,7 +301,49 @@
debug.eclass
</title>
<para>
- Will be written soon. Will provide verbose debug output functions to centralise the numerous <emphasis>echo</emphasis>s I have scattered around the eclasses.
+ Adds verbose output debugging functions. Is inherited by virtual.eclass.
+ </para>
+ <para>
+ A function with debugging looks like this:
+ </para>
+ <programlisting>
+<![ CDATA [base_src_install() {
+]]><![ CDATA [
+]]><![ CDATA [ debug-print-function base_src_install $*
+]]><![ CDATA [ [ -z "$1" ] && base_src_install all
+]]><![ CDATA [
+]]><![ CDATA [ while [ "$1" ]; do
+]]><![ CDATA [
+]]><![ CDATA [ case $1 in
+]]><![ CDATA [ make)
+]]><![ CDATA [ debug-print-section make
+]]><![ CDATA [ make DESTDIR=${D} install || die
+]]><![ CDATA [ ;;
+]]><![ CDATA [ all)
+]]><![ CDATA [ debug-prnit-section all
+]]><![ CDATA [ base_src_install make
+]]><![ CDATA [ ;;
+]]><![ CDATA [ esac
+]]><![ CDATA [
+]]><![ CDATA [ shift
+]]><![ CDATA [ done
+]]><![ CDATA [
+]]><![ CDATA [}
+]]> </programlisting>
+ <para>
+ debug-print-function() prints &ldquo;now in function &dollar;1&rdquo;, &ldquo;parameters are &dollar;2...&rdquo; (all following aprameteres to the function).
+ </para>
+ <para>
+ debug-print-section() prints &ldquo;now in section &dollar;1&rdquo;.
+ </para>
+ <para>
+ debug-print() prints raw &ldquo;&dollar;1&rdquo;.
+ </para>
+ <para>
+ Inside debug.eclass are several settings, which can later be moved to some external config file. They include turning debug on or off and redirecting its output.
+ </para>
+ <para>
+ The functions are used in all ebuild functions/sections of all eclasses, and in the helper funcions inherit() and EXPORT_FUNCTIONS().
</para>
</sect2>
<sect2>
diff --git a/eclass/doc/eclass-howto.txt b/eclass/doc/eclass-howto.txt
index 360218ee0e74..eaa6fbba4a94 100644
--- a/eclass/doc/eclass-howto.txt
+++ b/eclass/doc/eclass-howto.txt
@@ -82,6 +82,7 @@ sourced from an ebuild which has it.
2.2 virtual.eclass
Defines empty variables and functions; defines EXPORT_FUNCTIONS().
+Also inherits debug.eclass so that everyone gets that.
This eclass is inherited by most other eclasses e.g. base,
kde*. As a rule, any eclass that defines some of the base
@@ -248,6 +249,10 @@ examples inculde base_src_unpack patch and the upcoming
kde_src_unpack objprelink-patch (whose name may change when
I actually write it).
+A more final note: the eclasses also include some debug statements,
+which are not part of the function/section strufture. More
+on this at the debug.eclass section.
+
2.3 base.eclass
This eclass defines some default variables and functions,
@@ -330,9 +335,70 @@ Adds make/automake/autoconf to DEPEND.
2.10 debug.eclass
-Will be written soon. Will provide verbose debug output functions
-to centralise the numerous echos I have scattered around
-the eclasses.
+Adds verbose output debugging functions. Is inherited by
+virtual.eclass.
+
+A function with debugging looks like this:
+
+base_src_install() {
+
+
+
+ debug-print-function base_src_install $*
+
+ [ -z "$1" ] && base_src_install all
+
+
+
+ while [ "$1" ]; do
+
+
+
+ case $1 in
+
+ make)
+
+ debug-print-section make
+
+ make DESTDIR=${D} install || die
+
+ ;;
+
+ all)
+
+ debug-prnit-section all
+
+ base_src_install make
+
+ ;;
+
+ esac
+
+
+
+ shift
+
+ done
+
+
+
+}
+
+debug-print-function() prints "now
+in function $1", "parameters
+are $2..." (all following aprameteres to the function).
+
+debug-print-section() prints "now
+in section $1".
+
+debug-print() prints raw "$1".
+
+Inside debug.eclass are several settings, which can later
+be moved to some external config file. They include turning
+debug on or off and redirecting its output.
+
+The functions are used in all ebuild functions/sections of
+all eclasses, and in the helper funcions inherit() and EXPORT_FUNCTIONS().
2.11 kde-objprelink.eclass
diff --git a/eclass/doc/news.txt b/eclass/doc/news.txt
index b8103ee7f2f2..42d591be1ed3 100644
--- a/eclass/doc/news.txt
+++ b/eclass/doc/news.txt
@@ -1,6 +1,6 @@
-Plans for v3.1:
-- debug.eclass
-- kde-objprelink.eclass
+1/10
+v3.1
+Addition of debug.eclass.
1/10
v3
diff --git a/eclass/doc/todo.txt b/eclass/doc/todo.txt
index 4a272ac96b75..694ffeef544f 100644
--- a/eclass/doc/todo.txt
+++ b/eclass/doc/todo.txt
@@ -1,4 +1,4 @@
-debug.eclass
+debug.eclass - debug levels
kde-objprelink.eclass
diff --git a/eclass/inherit.eclass b/eclass/inherit.eclass
index 74cd051737b9..925d7dd22c71 100644
--- a/eclass/inherit.eclass
+++ b/eclass/inherit.eclass
@@ -1,15 +1,22 @@
-# $Header: /var/cvsroot/gentoo-x86/eclass/inherit.eclass,v 1.4 2001/09/29 12:35:38 danarmak Exp $
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/inherit.eclass,v 1.5 2001/10/01 13:54:38 danarmak Exp $
# This eclass provides the inherit() function. In the future it will be placed in ebuild.sh, but for now drobbins
# doesn't want to make a new portage just for my testing, so every eclass/ebuild will source this file manually and
-# then inherit(). This way whn the tmie comes for this to move into stable ebuild.sh, we can just delete the source lines.
+# then inherit(). This way when the tmie comes for this to move into stable ebuild.sh, we can just delete the source lines.
ECLASSDIR=/usr/portage/eclass
inherit() {
while [ "$1" ]; do
- source ${ECLASSDIR}/${1}.eclass
+ location="${ECLASSDIR}/${1}.eclass"
+ # someday we'll do this the right way.
+ . ${ECLASSDIR}/debug.eclass
+ debug-print "inherit: $1 -> $location"
+ source "$location"
shift
done
-} \ No newline at end of file
+}
diff --git a/eclass/kde-base.eclass b/eclass/kde-base.eclass
index 5371747f377e..6d7009e6f957 100644
--- a/eclass/kde-base.eclass
+++ b/eclass/kde-base.eclass
@@ -1,10 +1,9 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.8 2001/10/01 11:04:22 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.9 2001/10/01 13:54:38 danarmak Exp $
# This is the kde ebuild for std. kde-dependant apps which follow configure/make/make install
# procedures and have std. configure options.
-. /usr/portage/eclass/inherit.eclass || die
inherit c kde || die
ECLASS=kde-base
diff --git a/eclass/kde-dist.eclass b/eclass/kde-dist.eclass
new file mode 100644
index 000000000000..e4d4bccd159f
--- /dev/null
+++ b/eclass/kde-dist.eclass
@@ -0,0 +1,14 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-dist.eclass,v 1.1 2001/10/01 13:54:38 danarmak Exp $
+# This is the kde ebuild for >=2.2.1 kde base packages. Don't use for kdelibs though :-)
+# It can't be used for e.g. kdevelop, koffice because of their separate versionnig schemes.
+inherit kde-base kde.org || die
+ECLASS=kde-dist
+
+DESCRIPTION="KDE ${PV} - "
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND="$DEPEND ( kde-base/kdelibs-${PV} )"
+RDEPEND="$RDEPEND ( kde-base/kdelibs-${PV} )"
diff --git a/eclass/kde-i18n.eclass b/eclass/kde-i18n.eclass
index 5d59e757d550..ee13c6001491 100644
--- a/eclass/kde-i18n.eclass
+++ b/eclass/kde-i18n.eclass
@@ -1,8 +1,7 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-i18n.eclass,v 1.3 2001/10/01 11:04:22 danarmak Exp $
-. /usr/portage/eclass/inherit.eclass || die
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-i18n.eclass,v 1.4 2001/10/01 13:54:38 danarmak Exp $
inherit kde kde.org || die
ECLASS=kde-i18n
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index e464244ca43f..98f2626df4c3 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,9 +1,11 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.8 2001/10/01 11:04:22 danarmak Exp $
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>Xx
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.9 2001/10/01 13:54:38 danarmak Exp $
# The kde eclass is inherited by all kde-* eclasses. Few ebuilds inherit straight from here.
-. /usr/portage/eclass/inherit.eclass || die
inherit autoconf base || die
ECLASS=kde
@@ -16,28 +18,28 @@ RDEPEND="$RDEPEND kde-base/kdelibs"
kde_src_compile() {
- echo "in kde_src_compile, 1st parameter is $1"
+ debug-print-function kde_src_compile $*
[ -z "$1" ] && kde_src_compile all
while [ "$1" ]; do
case $1 in
myconf)
- echo "in kde_src_compile, action is myconf"
+ debug-print-section myconf
use qtmt && myconf="$myconf --enable-mt"
use objprelink && myconf="$myconf --enable-objprelink" || myconf="$myconf --disable-objprelink"
;;
configure)
- echo "in kde_src_compile, action is configure"
+ debug-print-section configure
./configure --host=${CHOST} --with-x \
${myconf} --with-xinerama || die
;;
make)
- echo "in kde_src_compile, action is make"
+ debug-print-section make
make || die
;;
all)
- echo "in kde_src_compile, action is all"
+ debug-print-section all
kde_src_compile myconf configure make
;;
esac
@@ -49,22 +51,22 @@ kde_src_compile() {
kde_src_install() {
- echo "in kde-base_src_compile, 1st parameter is $1"
+ debug-print-function kde_src_install $*
[ -z "$1" ] && kde_src_install all
while [ "$1" ]; do
case $1 in
make)
- echo "in kde_src_install, action is make"
+ debug-print-section make
make install DESTDIR=${D} || die
;;
dodoc)
- echo "in kde_src_install, action is dodoc"
+ debug-print-section dodoc
dodoc AUTHORS ChangeLog README*
;;
all)
- echo "in kde_src_install, action is all"
+ debug-print-section all
kde_src_install make dodoc
;;
esac
diff --git a/eclass/kde.org.eclass b/eclass/kde.org.eclass
new file mode 100644
index 000000000000..bd203f97e7bf
--- /dev/null
+++ b/eclass/kde.org.eclass
@@ -0,0 +1,10 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.org.eclass,v 1.1 2001/10/01 13:54:38 danarmak Exp $
+ECLASS=kde-site
+
+SRC_PATH="kde/stable/${PV}/src/${P}.tar.bz2"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
diff --git a/eclass/virtual.eclass b/eclass/virtual.eclass
index 49bdc1a16483..41728830952b 100644
--- a/eclass/virtual.eclass
+++ b/eclass/virtual.eclass
@@ -1,9 +1,10 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Dan Armak <danarmak@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/virtual.eclass,v 1.3 2001/09/29 12:35:38 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/virtual.eclass,v 1.4 2001/10/01 13:54:38 danarmak Exp $
# All other eclasses, and thus ebuilds, inherit from this. It defines the EXPORT_FUNCTIONS
# string, which (should) be eval'd by all other eclasses.
+inherit debug || die
# Used by the EXPORT_FUNCTIONS code, and placed at the beginning of the eclass
# for elegancy's sake.
@@ -15,25 +16,25 @@ ECLASS=virtual
DESCRIPTION="Based on the $ECLASS eclass."
virtual_src_unpack() {
-return
+debug-print-function virtual_src_unpack $*
}
virtual_src_compile() {
-return
+debug-print-function virtual_src_compile $*
}
virtual_src_install() {
-return
+debug-print-function virtual_src_install $*
}
virtual_pkg_preinst() {
-return
+debug-print-function virtual_pkg_preinst $*
}
virtual_pkg_postinst() {
-return
+debug-print-function virtual_pkg_postinst $*
}
virtual_pkg_prerm() {
-return
+debug-print-function virtual_pkg_prerm $*
}
virtual_pkg_postrm() {
-return
+debug-print-function virtual_pkg_postrm $*
}
# EXPORT_FUNCTIONS trick
@@ -42,11 +43,8 @@ return
EXPORT_FUNCTIONS() {
while [ "$1" ]; do
- #debug - if you use it, make sure to touch /1 /2 first
- #mv /1 /2
- #echo "$1() { ${ECLASS}_$1 ; }" | cat /2 - > /1
+ debug-print "EXPORT_FUNCTIONS: ${1} -> ${ECLASS}_${1}"
eval "$1() { ${ECLASS}_$1 ; }" > /dev/null
-
shift
done